## eln 1.5.4

=== CMakeLists.txt ===
# CMakeLists.txt - Part of NotedELN, (C) Daniel Wagenaar 2021

# NEW BUILD INSTRUCTIONS (as of version 1.3.x)
# Type:
#   cd build
#   cmake ..
# to build ELN.


######################################################################
cmake_minimum_required(VERSION 3.16)

######################################################################
# Set the project name and version
project(NotedELN VERSION 1.5.4)

set(CMAKE_PROJECT_HOMEPAGE_URL "http://danielwagenaar.net/eln")
set(CMAKE_EXPORT_COMPILE_COMMANDS 1) # for clangd

######################################################################
# Specify the C++ standard [must be done _before_ adding executable!]
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)
#set(CMAKE_POSITION_INDEPENDENT_CODE ON) # I thought this would do the trick...
#if (UNIX) 
#  add_compile_options(-fPIC) # ... but in fact, this is required on Linux
#endif()

# Qt stuff
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
find_package(Qt6
  REQUIRED COMPONENTS Widgets Network Svg PrintSupport
  OPTIONAL_COMPONENTS Multimedia MultimediaWidgets
  )

######################################################################
# Add the executables
add_executable(notedeln WIN32 MACOSX_BUNDLE src/App/main.cpp)
add_executable(webgrab WIN32 webgrab/webgrabWE.cpp)

include(src/CMakeLists.txt)
include(webgrab/CMakeLists.txt)

# Libraries to link to - Qt must be mentioned
target_link_libraries(notedeln Qt6::Widgets)
target_link_libraries(notedeln Qt6::Network)
target_link_libraries(notedeln Qt6::Svg)
target_link_libraries(notedeln Qt6::PrintSupport)
if(TARGET Qt6::Multimedia)
  target_link_libraries(notedeln Qt6::Multimedia)
endif()
if(TARGET Qt6::MultimediaWidgets)
  target_link_libraries(notedeln Qt6::MultimediaWidgets)
endif()

if (WIN32)
  target_link_libraries(notedeln secur32.lib)
endif()
if (APPLE)
  set(MACOSX_BUNDLE_ICON_FILE eln.icns)
  add_custom_command(TARGET notedeln POST_BUILD
     COMMAND mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/notedeln.app/Contents/Resources
     COMMAND cp ${CMAKE_CURRENT_SOURCE_DIR}/src/App/eln.icns
        ${CMAKE_CURRENT_BINARY_DIR}/notedeln.app/Contents/Resources
  )
endif()

# Produce configuration files
configure_file(src/config.h.in config.h)

# Include paths - Qt must be mentioned
target_include_directories(notedeln PUBLIC "${PROJECT_BINARY_DIR}")
target_include_directories(notedeln PUBLIC "${Qt6_INCLUDE_DIRS}")

######################################################################
# Spinx documentation
if (UNIX AND NOT APPLE)
  add_subdirectory("docs")
endif()

######################################################################
# General packaging / installation
set(CPACK_PACKAGE_VENDOR "Daniel Wagenaar")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "NotedELN - an Electronic Lab Notebook")
set(CPACK_PACKAGE_DESCRIPTION
  "NotedELN is an Electronic Lab Notebook that lets you focus on note taking.
NotedELN supports text, images, and basic graphical annotations. 
NotedELN makes safeguarding your notebook entries its number one priority 
and is extremely stable.")
set(CPACK_PACKAGE_EXECUTABLES "notedeln;NotedELN")

if (WIN32)
  # NSIS packaging - to be updated
  include(WinPack.CMakeLists.txt)
elseif (APPLE)
  include(MacDMG.CMakeLists.txt)
elseif (UNIX)
  include(UnixInstall.CMakeLists.txt)
  include(DebPack.CMakeLists.txt)
endif()

include(CPack)

=== docs/CMakeLists.txt ===
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMakeFiles" ${CMAKE_MODULE_PATH})
find_package(Sphinx QUIET)

if (SPHINX_EXECUTABLE)
    set(SPHINX_SOURCE ${CMAKE_CURRENT_SOURCE_DIR}/source)
    set(SPHINX_BUILD ${CMAKE_CURRENT_BINARY_DIR}/sphinx)
    
    add_custom_target(_sphinx ALL
                      COMMAND
                      ${SPHINX_EXECUTABLE} -b html
                      ${SPHINX_SOURCE} ${SPHINX_BUILD}
                      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
                      COMMENT "Generating documentation with Sphinx")
else()
  message(WARNING "Sphinx not found - not building documentation")
endif()

=== man/Makefile ===
ALL: notedeln.1 webgrab.1

%.1: %.1.txt
	a2x --doctype manpage --format manpage --no-xmllint --destination-dir=. $<

=== src/CMakeLists.txt ===
# Automatically generated by updatesources.sh

include(src/App/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/App)
include(src/ToolScene/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/ToolScene)
include(src/Dialogs/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Dialogs)
include(src/Gui/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Gui)
include(src/Book/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Book)
include(src/Data/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Data)
include(src/File/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/File)
include(src/Items/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Items)
include(src/Scenes/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/Scenes)
include(src/AutoNote/CMakeLists.txt)
target_include_directories(notedeln PUBLIC src/AutoNote)

=== webgrab/CMakeLists.txt ===
find_package(Qt6 COMPONENTS Svg WebEngineCore WebEngineWidgets Pdf REQUIRED)  

target_link_libraries(webgrab Qt6::Widgets)
target_link_libraries(webgrab Qt6::PrintSupport)
target_link_libraries(webgrab Qt6::Svg)
target_link_libraries(webgrab Qt6::Pdf)
target_link_libraries(webgrab Qt6::WebEngineCore)
target_link_libraries(webgrab Qt6::WebEngineWidgets)

target_sources(webgrab PRIVATE webgrab/Options.h)
target_sources(webgrab PRIVATE webgrab/Options.cpp)

target_sources(webgrab PRIVATE webgrab/PrinterWE.h)
target_sources(webgrab PRIVATE webgrab/webgrabWE.cpp)
target_sources(webgrab PRIVATE webgrab/PrinterWE.cpp)

=== src/Data/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE src/Data/BlockData.h )
target_sources(notedeln PRIVATE src/Data/Data.h )
target_sources(notedeln PRIVATE src/Data/DataTemplates.h )
target_sources(notedeln PRIVATE src/Data/EntryData.h )
target_sources(notedeln PRIVATE src/Data/FootnoteData.h )
target_sources(notedeln PRIVATE src/Data/GfxBlockData.h )
target_sources(notedeln PRIVATE src/Data/GfxData.h )
target_sources(notedeln PRIVATE src/Data/GfxImageData.h )
target_sources(notedeln PRIVATE src/Data/GfxLineData.h )
target_sources(notedeln PRIVATE src/Data/GfxMarkData.h )
target_sources(notedeln PRIVATE src/Data/GfxNoteData.h )
target_sources(notedeln PRIVATE src/Data/GfxPointsData.h )
target_sources(notedeln PRIVATE src/Data/GfxSketchData.h )
target_sources(notedeln PRIVATE src/Data/GfxVideoData.h )
target_sources(notedeln PRIVATE src/Data/LateNoteData.h )
target_sources(notedeln PRIVATE src/Data/MarkupData.h )
target_sources(notedeln PRIVATE src/Data/MarkupEdges.h )
target_sources(notedeln PRIVATE src/Data/MarkupStyles.h )
target_sources(notedeln PRIVATE src/Data/Random.h )
target_sources(notedeln PRIVATE src/Data/ResManager.h )
target_sources(notedeln PRIVATE src/Data/Resource.h )
target_sources(notedeln PRIVATE src/Data/TableBlockData.h )
target_sources(notedeln PRIVATE src/Data/TableCell.h )
target_sources(notedeln PRIVATE src/Data/TableData.h )
target_sources(notedeln PRIVATE src/Data/TextBlockData.h )
target_sources(notedeln PRIVATE src/Data/TextData.h )
target_sources(notedeln PRIVATE src/Data/TitleData.h )
target_sources(notedeln PRIVATE src/Data/UUID.h )
target_sources(notedeln PRIVATE src/Data/BlockData.cpp )
target_sources(notedeln PRIVATE src/Data/Data.cpp )
target_sources(notedeln PRIVATE src/Data/EntryData.cpp )
target_sources(notedeln PRIVATE src/Data/FootnoteData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxBlockData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxImageData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxLineData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxMarkData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxNoteData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxPointsData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxSketchData.cpp )
target_sources(notedeln PRIVATE src/Data/GfxVideoData.cpp )
target_sources(notedeln PRIVATE src/Data/LateNoteData.cpp )
target_sources(notedeln PRIVATE src/Data/MarkupData.cpp )
target_sources(notedeln PRIVATE src/Data/MarkupEdges.cpp )
target_sources(notedeln PRIVATE src/Data/Random.cpp )
target_sources(notedeln PRIVATE src/Data/ResManager.cpp )
target_sources(notedeln PRIVATE src/Data/Resource.cpp )
target_sources(notedeln PRIVATE src/Data/TableBlockData.cpp )
target_sources(notedeln PRIVATE src/Data/TableCell.cpp )
target_sources(notedeln PRIVATE src/Data/TableData.cpp )
target_sources(notedeln PRIVATE src/Data/TableData_HighLevel.cpp )
target_sources(notedeln PRIVATE src/Data/TextBlockData.cpp )
target_sources(notedeln PRIVATE src/Data/TextData.cpp )
target_sources(notedeln PRIVATE src/Data/TitleData.cpp )
target_sources(notedeln PRIVATE src/Data/UUID.cpp )

=== src/File/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE src/File/BackgroundVC.h )
target_sources(notedeln PRIVATE src/File/BookFile.h )
target_sources(notedeln PRIVATE src/File/CachedEntry.h )
target_sources(notedeln PRIVATE src/File/DataFile.h )
target_sources(notedeln PRIVATE src/File/DefaultLocation.h )
target_sources(notedeln PRIVATE src/File/DFBlocker.h )
target_sources(notedeln PRIVATE src/File/Downloader.h )
target_sources(notedeln PRIVATE src/File/EntryFile.h )
target_sources(notedeln PRIVATE src/File/Entry.h )
target_sources(notedeln PRIVATE src/File/ImageLoader.h )
target_sources(notedeln PRIVATE src/File/JSONFile.h )
target_sources(notedeln PRIVATE src/File/LateNoteFile.h )
target_sources(notedeln PRIVATE src/File/LateNoteManager.h )
target_sources(notedeln PRIVATE src/File/PointerSet.h )
target_sources(notedeln PRIVATE src/File/ResLoader.h )
target_sources(notedeln PRIVATE src/File/RmDir.h )
target_sources(notedeln PRIVATE src/File/SmartURL.h )
target_sources(notedeln PRIVATE src/File/SvgFile.h )
target_sources(notedeln PRIVATE src/File/VersionControl.h )
target_sources(notedeln PRIVATE src/File/VideoFile.h )
target_sources(notedeln PRIVATE src/File/BackgroundVC.cpp )
target_sources(notedeln PRIVATE src/File/CachedEntry.cpp )
target_sources(notedeln PRIVATE src/File/DataFile.cpp )
target_sources(notedeln PRIVATE src/File/DefaultLocation.cpp )
target_sources(notedeln PRIVATE src/File/DFBlocker.cpp )
target_sources(notedeln PRIVATE src/File/Downloader.cpp )
target_sources(notedeln PRIVATE src/File/Entry.cpp )
target_sources(notedeln PRIVATE src/File/EntryFile.cpp )
target_sources(notedeln PRIVATE src/File/ImageLoader.cpp )
target_sources(notedeln PRIVATE src/File/JSONFile.cpp )
target_sources(notedeln PRIVATE src/File/LateNoteFile.cpp )
target_sources(notedeln PRIVATE src/File/LateNoteManager.cpp )
target_sources(notedeln PRIVATE src/File/PointerSet.cpp )
target_sources(notedeln PRIVATE src/File/ResLoader.cpp )
target_sources(notedeln PRIVATE src/File/RmDir.cpp )
target_sources(notedeln PRIVATE src/File/SvgFile.cpp )
target_sources(notedeln PRIVATE src/File/VersionControl.cpp )
target_sources(notedeln PRIVATE src/File/VideoFile.cpp )

=== src/ToolScene/CMakeLists.txt ===
# Automatically generated by updatesources.sh

target_sources(notedeln PRIVATE src/ToolScene/ClockFace.h )
target_sources(notedeln PRIVATE src/ToolScene/ColorBar.h )
target_sources(notedeln PRIVATE src/ToolScene/Icons.h )
target_sources(notedeln PRIVATE src/ToolScene/LineWidthBar.h )
target_sources(notedeln PRIVATE src/ToolScene/LineWidthItem.h )
target_sources(notedeln PRIVATE src/ToolScene/MarkShapeBar.h )
target_sources(notedeln PRIVATE src/ToolScene/MarkSizeBar.h )
target_sources(notedeln PRIVATE src/ToolScene/MarkSizeItem.h )
target_sources(notedeln PRIVATE src/ToolScene/Modebar.h )
target_sources(notedeln PRIVATE src/ToolScene/Navbar.h )
target_sources(notedeln PRIVATE src/ToolScene/Toolbar.h )
target_sources(notedeln PRIVATE src/ToolScene/Toolbars.h )
target_sources(notedeln PRIVATE src/ToolScene/ToolItem.h )
target_sources(notedeln PRIVATE src/ToolScene/ToolScene.h )
target_sources(notedeln PRIVATE src/ToolScene/ToolView.h )
target_sources(notedeln PRIVATE src/ToolScene/ClockFace.cpp )
target_sources(notedeln PRIVATE src/ToolScene/ColorBar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/Icons.cpp )
target_sources(notedeln PRIVATE src/ToolScene/LineWidthBar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/LineWidthItem.cpp )
target_sources(notedeln PRIVATE src/ToolScene/MarkShapeBar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/MarkSizeBar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/MarkSizeItem.cpp )
target_sources(notedeln PRIVATE src/ToolScene/Modebar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/Navbar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/Toolbar.cpp )
target_sources(notedeln PRIVATE src/ToolScene/Toolbars.cpp )
target_sources(notedeln PRIVATE src/ToolScene/ToolItem.cpp )
target_sources(notedeln PRIVATE src/ToolScene/ToolScene.cpp )
target_sources(notedeln PRIVATE src/ToolScene/ToolView.cpp )
target_sources(notedeln PRIVATE src/ToolScene/icons.qrc )

=== tools/videostudy/Makefile ===
#############################################################################
# Makefile for building: videostudy
# Generated by qmake (3.1) (Qt 5.12.8)
# Project:  videostudy.pro
# Template: app
# Command: /usr/lib/qt5/bin/qmake -o Makefile videostudy.pro
#############################################################################

MAKEFILE      = Makefile

EQ            = =

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_MULTIMEDIAWIDGETS_LIB -DQT_MULTIMEDIA_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I. -isystem /usr/include/x86_64-linux-gnu/qt5 -isystem /usr/include/x86_64-linux-gnu/qt5/QtMultimediaWidgets -isystem /usr/include/x86_64-linux-gnu/qt5/QtMultimedia -isystem /usr/include/x86_64-linux-gnu/qt5/QtWidgets -isystem /usr/include/x86_64-linux-gnu/qt5/QtGui -isystem /usr/include/x86_64-linux-gnu/qt5/QtNetwork -isystem /usr/include/x86_64-linux-gnu/qt5/QtCore -I. -I/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++
QMAKE         = /usr/lib/qt5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = cp -f -R
QINSTALL      = /usr/lib/qt5/bin/qmake -install qinstall
QINSTALL_PROGRAM = /usr/lib/qt5/bin/qmake -install qinstall -exe
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = videostudy1.0.0
DISTDIR = /home/wagenaar/progs/eln/eln/tools/videostudy/.tmp/videostudy1.0.0
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath-link,/usr/lib/x86_64-linux-gnu
LIBS          = $(SUBLIBS) /usr/lib/x86_64-linux-gnu/libQt5MultimediaWidgets.so /usr/lib/x86_64-linux-gnu/libQt5Multimedia.so /usr/lib/x86_64-linux-gnu/libQt5Widgets.so /usr/lib/x86_64-linux-gnu/libQt5Gui.so /usr/lib/x86_64-linux-gnu/libQt5Network.so /usr/lib/x86_64-linux-gnu/libQt5Core.so /usr/lib/x86_64-linux-gnu/libGL.so -lpthread   
AR            = ar cqs
RANLIB        = 
SED           = sed
STRIP         = strip

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = videostudy.cpp 
OBJECTS       = videostudy.o
DIST          = /usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/linux.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/sanitize.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/qconfig.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_accessibility_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_devicediscovery_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_edid_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_egl_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eglfs_kms_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eglfsdeviceintegration_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eventdispatcher_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_fb_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_fontdatabase_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_glx_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_input_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_kms_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_linuxaccessibility_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimedia.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimediawidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_openglextensions_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_platformcompositor_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_positioning.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_positioningquick.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_printsupport_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qml.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_qmltest.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_quick.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_quickwidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_service_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_sql_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_svg.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_testlib_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_theme_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_vulkan_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webchannel.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webengine.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webenginecore.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webenginewidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webkit.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_webkitwidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_widgets_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_x11extras.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xcb_qpa_lib_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_xml_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_functions.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt_config.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++/qmake.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_post.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exclusive_builds.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/toolchain.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resolve_config.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/default_post.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/warn_on.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qt.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/resources.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/moc.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/opengl.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/uic.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/unix/thread.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/qmake_use.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/file_copies.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/testcase_targets.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/exceptions.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/yacc.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/lex.prf \
		videostudy.pro  videostudy.cpp
QMAKE_TARGET  = videostudy
DESTDIR       = 
TARGET        = videostudy


first: all
####### Build rules

videostudy:  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: videostudy.pro /usr/lib/x86_64-linux-gnu/qt5/mkspecs/linux-g++/qmake.conf /usr/lib/x86_64-linux-gnu/qt5/mkspecs/features/spec_pre.prf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/linux.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/sanitize.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/gcc-base-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-base.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/common/g++-unix.conf \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/qconfig.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_accessibility_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_concurrent_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_core_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_dbus_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_devicediscovery_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_edid_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_egl_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eglfs_kms_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eglfsdeviceintegration_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_eventdispatcher_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_fb_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_fontdatabase_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_glx_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_gui_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_input_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_kms_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_linuxaccessibility_support_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimedia.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_multimediawidgets.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_network_private.pri \
		/usr/lib/x86_64-linux-gnu/qt5/mkspecs/modules/qt_lib_opengl.pri \

=== debian/changelog ===
eln (1.5.4-2) unstable; urgency=medium

  * Restrict arch to amd64/arm64/armhf/i386 due to dependency on
    qt6-pdf-dev, qml6-module-qtwebengine-controlsdelegates, and
    qml6-module-qtwebengine (closes: #1074219)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 26 Sep 2024 11:56:04 +0100

eln (1.5.4-1) unstable; urgency=medium

  * Make dependencies on optional stuff optional with foo|dpkg trick.
  * New upstream release
  * Bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 27 Apr 2024 10:51:06 +0100

=== debian/control ===
Source: eln
Section: editors
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Daniel Wagenaar <daw@caltech.edu>,
	   Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13),
		cmake,
		qt6-base-dev,
		qt6-tools-dev,
		qt6-webengine-dev,
		qt6-multimedia-dev,
		qt6-svg-dev, qt6-pdf-dev,
		qt6-declarative-dev,
		qml6-module-qtdatavisualization,
		qml6-module-qt-labs-lottieqt,
		qml6-module-qtcharts,
		qml6-module-qtwebengine-controlsdelegates,
		qml6-module-qtwebengine,
		qml6-module-qtquick3d-spatialaudio,
		sphinx,
		asciidoc,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.danielwagenaar.net/eln
Vcs-Git: https://salsa.debian.org/science-team/eln.git
Vcs-Browser: https://salsa.debian.org/science-team/eln

Package: notedeln
Architecture: amd64 arm64 armhf i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: git
Description: Electronic Lab Notebook called NotedELN
 NotedELN is an electronic lab notebook with an emphasis on solid data
 storage. It is designed for scientists of all stripes, and supports:
 .
  * Taking notes during experiments since it automatically saves your
    input every 10 seconds so that your notes will never be lost;
 .
  * Keeping track of data analysis results since screen shots and
    other graphics can be added to a notebook page by drag-and-drop or
    copy-and-paste;
 .
  * Recording your lit searches, since it will automatically download
    papers from PubMed and archive them with your notebook;
 .
  * Recording your thought processes, since it will never get in the
    way of your typing with arbitrary constraints on input formatting.

=== debian/watch ===
version=4
https://github.com/wagenadl/@PACKAGE@/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
